View Issue Details

IDProjectCategoryView StatusLast Update
0002014SymmetricDSBugpublic2014-10-27 11:52
ReporterelongAssigned Toelong 
Prioritynormal 
Status closedResolutionfixed 
Product Version3.6.10 
Target VersionFixed in Version3.6.11 
Summary0002014: Stopping service from sym_service on Windows does not stop wrapper
DescriptionAfter running "sym_service stop" the wrapper process is still left running on Windows platform. Running "net stop SymmetricDS" also leaves the wrapper process running. The log shows it tries to stop the process.

2014-10-16 13:01:56 [INFO ] [java ] HttpAdaptor version 3.0.1 started on port 31416
2014-10-16 13:02:02 [INFO ] [wrapper] Service manager requesting control code 1
2014-10-16 13:02:02 [INFO ] [wrapper] Service manager requesting to stop service
2014-10-16 13:02:02 [INFO ] [wrapper] Stopping server
2014-10-16 13:02:02 [INFO ] [wrapper] Stopping wrapper
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: master 342599b8

2014-10-16 11:50:23

erilong

Details Diff
0002014: Stopping service from sym_service on Windows does not stop wrapper
0002014
mod - symmetric-wrapper/src/main/java/org/jumpmind/symmetric/wrapper/WrapperService.java Diff File

Issue History

Date Modified Username Field Change
2014-10-16 09:03 elong New Issue
2014-10-16 09:03 elong Status new => assigned
2014-10-16 09:03 elong Assigned To => elong
2014-10-16 11:00 Changeset attached => SymmetricDS 3.6 r8801
2014-10-16 11:50 elong Status assigned => resolved
2014-10-16 11:50 elong Fixed in Version => 3.6.11
2014-10-16 11:50 elong Resolution open => fixed
2014-10-16 12:00 Changeset attached => SymmetricDS 3.6 r8802
2014-10-16 12:00 Changeset attached => SymmetricDS trunk r8803
2014-10-27 11:52 chenson Status resolved => closed
2015-07-30 21:49 Changeset attached => SymmetricDS master 342599b8